@import './global.scss';

.section {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 20px;
    position: relative;
    padding: 20px 20px 40px 20px ;
    background-image: linear-gradient(transparentize($noir, 0.5), transparentize($noir, 0.5)), url("../../medias/images/personnage-station-essence.jpeg");
    @include max767 {
        flex-direction: row;
        flex-wrap: wrap;
        padding: 90px 20px 40px 20px;
    }
    @include max479 {
        gap: 20px 0;
    }
    .competences-infos {
        display: flex;
        gap: 20px;
        height: min-content;
        @include max1200 {
            order: -2;
        }
        @include max767 {
            flex-wrap: wrap;
            max-width: 200px;
        }
        @include max479 {
            width: 50%;
            gap: 10px;
        }
        .competence-info {
            @include max767 {
                width: calc(50% - 10px);
            }
            @include max479 {
                width: calc(50% - 5px);
            }
        }
    }
    .inventaire {
        position: absolute;
        bottom: 15px;
        left: 15px;
        width: 250px;
        height: fit-content;
        @include max1405 {
            width: 170px;
        }
        @include max1200 {
            position: relative;
            order: -1;
            width: 100px;
        }
        @include max479 {
            text-align: right;
            width: 50%;
        }
        img {
            width: inherit;
            object-fit: contain;
            cursor: pointer;
            @include max479 {
                width: 100%;
                max-width: 120px;
            }
        }
    }
}